Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.ComplexControl

    java.lang.Object
      java.lang.Enum<QStyle.ComplexControl>
          com.trolltech.qt.gui.QStyle.ComplexControl

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.ComplexControl>

Enclosing class:
  QStyle

    public static enum QStyle.ComplexControl

extends java.lang.Enum<QStyle.ComplexControl>
implements QtEnumerator

This enum describes the available complex controls. Complex controls have different behavior depending upon where the user clicks on them or which keys are pressed.

See Also:
  `SubControl`, `drawComplexControl`

Enum Constant Summary
`CC_ComboBox` A combobox, like `QComboBox`.
`CC_CustomBase` Base value for custom complex controls.
`CC_Dial` A dial, like `QDial`.
`CC_GroupBox` A group box, like `QGroupBox`.
`CC_MdiControls` The minimize, close, and normal button in the menu bar for a maximized MDI subwindow.
`CC_Q3ListView` Used for drawing the Q3ListView class.
`CC_ScrollBar` A scroll bar, like `QScrollBar`.
`CC_Slider` A slider, like `QSlider`.
`CC_SpinBox` A spinbox, like `QSpinBox`.
`CC_TitleBar` A Title bar, like those used in `QWorkspace`.
`CC_ToolButton` A tool button, like `QToolButton`.
`CustomEnum`

Method Summary
`static QStyle.ComplexControl` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.ComplexControl` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.ComplexControl[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CC_SpinBox

    public static final QStyle.ComplexControl CC_SpinBox

  A spinbox, like `QSpinBox`.

### CC_ComboBox

    public static final QStyle.ComplexControl CC_ComboBox

  A combobox, like `QComboBox`.

### CC_ScrollBar

    public static final QStyle.ComplexControl CC_ScrollBar

  A scroll bar, like `QScrollBar`.

### CC_Slider

    public static final QStyle.ComplexControl CC_Slider

  A slider, like `QSlider`.

### CC_ToolButton

    public static final QStyle.ComplexControl CC_ToolButton

  A tool button, like `QToolButton`.

### CC_TitleBar

    public static final QStyle.ComplexControl CC_TitleBar

  A Title bar, like those used in `QWorkspace`.

### CC_Q3ListView

    public static final QStyle.ComplexControl CC_Q3ListView

  Used for drawing the Q3ListView class.

### CC_Dial

    public static final QStyle.ComplexControl CC_Dial

  A dial, like `QDial`.

### CC_GroupBox

    public static final QStyle.ComplexControl CC_GroupBox

  A group box, like `QGroupBox`.

### CC_MdiControls

    public static final QStyle.ComplexControl CC_MdiControls

  The minimize, close, and normal button in the menu bar for a maximized MDI subwindow.

### CC_CustomBase

    public static final QStyle.ComplexControl CC_CustomBase

  Base value for custom complex controls. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.ComplexControl CustomEnum

Method Detail

### values

    public static final QStyle.ComplexControl[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.ComplexControl c : QStyle.ComplexControl.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.ComplexControl valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.ComplexControl resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD